gtkmm: Gtk::Plug Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions

# Gtk::Plug Class Reference

Inheritance diagram for Gtk::Plug:
[legend]
Collaboration diagram for Gtk::Plug:
[legend]

List of all members.

## Public Member Functions
virtual | ~Plug ()
GtkPlug* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkPlug* | gobj () const
| Provides access to the underlying C GtkObject.
| Plug ()
| Plug (GdkNativeWindow socket_id)
| Plug (const Glib::RefPtr< Gdk::Display >& display, GdkNativeWindow socket_id)
GdkNativeWindow | get_id () const
| Gets the window ID of a Gtk::Plug widget, which can then be used to embed this window inside another window, for instance with Gtk::Socket::add_id().
bool | get_embedded () const
| Determines whether the plug is embedded in a socket.
Glib::RefPtr< Gdk::Window > | get_socket_window ()
| Retrieves the socket the plug is embedded in.
Glib::RefPtr< const Gdk::Window > | get_socket_window () const
| Retrieves the socket the plug is embedded in.
Glib::PropertyProxy_ReadOnly < bool > | property_embedded () const
| Whether or not the plug is embedded.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gdk::Window > > | property_socket_window () const
| The window of the socket the plug is embedded in.
Glib::SignalProxy0< void > | signal_embedded ()
## Protected Member Functions
virtual void | on_embedded ()
## Related Functions
(Note that these are not member functions.)
Gtk::Plug* | wrap (GtkPlug* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::Plug::~Plug | ( |  | ) | `[virtual]`

Gtk::Plug::Plug | ( |  | ) |

Gtk::Plug::Plug | ( | GdkNativeWindow | socket_id | ) | `[explicit]`

Gtk::Plug::Plug | ( | const Glib::RefPtr< Gdk::Display >& | display,
|  | GdkNativeWindow | socket_id
| ) |  |

## Member Function Documentation

bool Gtk::Plug::get_embedded | ( |  | ) | const

Determines whether the plug is embedded in a socket.

Since gtkmm 2.14:

Returns:
  `true` if the plug is embedded in a socket.

GdkNativeWindow Gtk::Plug::get_id | ( |  | ) | const

Gets the window ID of a Gtk::Plug widget, which can then be used to embed this window inside another window, for instance with Gtk::Socket::add_id().

Returns:
  The window ID for the plug.

Glib::RefPtr<Gdk::Window> Gtk::Plug::get_socket_window | ( |  | ) |

Retrieves the socket the plug is embedded in.

Since gtkmm 2.14:

Returns:
  The window of the socket, or `0`.

Glib::RefPtr<const Gdk::Window> Gtk::Plug::get_socket_window | ( |  | ) | const

Retrieves the socket the plug is embedded in.

Since gtkmm 2.14:

Returns:
  The window of the socket, or `0`.

const GtkPlug* Gtk::Plug::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Window.

GtkPlug* Gtk::Plug::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Window.

virtual void Gtk::Plug::on_embedded | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<bool> Gtk::Plug::property_embedded | ( |  | ) | const

Whether or not the plug is embedded.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gdk::Window> > Gtk::Plug::property_socket_window | ( |  | ) | const

The window of the socket the plug is embedded in.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy0< void > Gtk::Plug::signal_embedded | ( |  | ) |

Prototype:
  `void on_my_embedded()`

## Friends And Related Function Documentation

Gtk::Plug* wrap | ( | GtkPlug * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/plug.h